Subject: Re: bug#33870: 27.0.50; xref-goto-xref not configurable

From: Dmitry Gutov <[email-masked]>
Date: Fri, 11 Jan 2019 04:18:24 +0300

On 09.01.2019 03:20, Juri Linkov wrote:
> Then suddenly M-. replaces other half of the screen with empty space with
> only 2 lines at the top.  This is because there is an ambiguity in finding
> definitions, and you need to resolve it.  Then you start trying to reuse some
> empty space it creates and trying to split the xref window.  Instead of
> this, the split is applied to the original window.

Could you write down the commands to get there? I failed to reproduce this.

> Now the question is what to do when the user asks to display
> a definition in another window using ‘C-x 4 .’
> (xref-find-definitions-other-window).  The most natural way is to
> immediately take the window pointed out by the user configuration
> (the user can configure to display it below/above/left/right etc.)
> and display the xref window in that window.

I'm not sure if it's the "most natural" way. "A natural" maybe.

> Then visiting a definition
> still will remain in the same window preferred by the user.
> 
> The same logic could also apply to xref-find-definitions-other-frame.
> 
> This will allow xref-goto-xref to be configurable.

The current behavior seems to work okay for me. So the meaning of 
"configurable" I'm expecting here would allow the user to retain the 
current behavior if they want. We can discuss the best default afterwards.